// $Id: CaptureConfigurationException.java,v 1.2 2008/08/19 02:57:59 esmondpitt Exp $

/***************************************************************************
 * Copyright (C) 2001, Patrick Charles and Jonas Lehmann                   *
 * Distributed under the Mozilla Public License                            *
 *   http://www.mozilla.org/NPL/MPL-1.1.txt                                *
 ***************************************************************************/
package net.sourceforge.jpcap.capture;


/**
 * This exception occurs when the capture client tries to 
 * specify a capture device that does not exist or if the capture
 * device specified is illegal.
 *
 * @author Patrick Charles and Jonas Lehmann
 * @author Esmond Pitt
 * @version $Revision: 1.2 $
 * @lastModifiedBy $Author: esmondpitt $
 * @lastModifiedAt $Date: 2008/08/19 02:57:59 $
 */
public class CaptureConfigurationException extends JpcapException
{
  /**
   * Create a new instance of CaptureConfigurationException.
   * @param message Exception message text
   */
  public CaptureConfigurationException(String message) { 
    super(message);
  }

  /**
   * Create a new instance of CaptureConfigurationException.
   * @param detail Exception message text
   */
  public CaptureConfigurationException(Throwable detail) { 
    super(detail);
  }

  private static final String _rcsId = 
    "$Id: CaptureConfigurationException.java,v 1.2 2008/08/19 02:57:59 esmondpitt Exp $";
}
