// $Id: CaptureDeviceLookupException.java,v 1.2 2008/08/18 05:34:36 esmondpitt Exp $

/***************************************************************************
 * Copyright (C) 2001, Rex Tsai						   *
 * Distributed under the Mozilla Public License                            *
 *   http://www.mozilla.org/NPL/MPL-1.1.txt                                *
 ***************************************************************************/
package net.sourceforge.jpcap.capture;


/**
 * This exception occurs when no capture devices are detected.
 *
 * @author Rex Tsai &gt;chihchun@kalug.linux.org.tw&lt;
 * @version $Revision: 1.2 $
 * @lastModifiedBy $Author: esmondpitt $
 * @lastModifiedAt $Date: 2008/08/18 05:34:36 $
 */
public class CaptureDeviceLookupException extends JpcapException
{
  /**
   * Create a new capture device not found exception.
   * @param message Exception message text
   */
  public CaptureDeviceLookupException(String message) { 
    super(message);
  }

  /**
   * Create a new capture device not found exception.
   * @param detail Detail exception
   */
  public CaptureDeviceLookupException(Throwable detail) { 
    super(detail);
  }


  private static final String _rcsId = 
    "$Id: CaptureDeviceLookupException.java,v 1.2 2008/08/18 05:34:36 esmondpitt Exp $";
}
